/*
** File: vpd.h  
** Project: ADMXRC3 module driver
** Purpose: Defines function prototypes for reading and writing VPD (Vital
**          Product Data).
**
** (C) Copyright Alpha Data 2010
*/

#if !defined(ADATA_ADMXRC3_VPD_H)
#define ADATA_ADMXRC3_VPD_H

#include <df.h>
#include "device.h"

extern void
syncVpdOnClose(
	Admxrc3DeviceContext* pDevCtx,
	Admxrc3ClientContext* pClCtx);

extern DfIoStatus
ioctlReadVpd(
	Admxrc3DeviceContext* pDevCtx,
	Admxrc3ClientContext* pClCtx,
  DfClientRequest* pReq,
  void* pBuffer,
  unsigned int inSize);

extern DfIoStatus
ioctlReadVpdThunk(
	Admxrc3DeviceContext* pDevCtx,
	Admxrc3ClientContext* pClCtx,
  DfClientRequest* pReq,
  void* pBuffer,
  unsigned int inSize);

extern DfIoStatus
ioctlWriteVpd(
	Admxrc3DeviceContext* pDevCtx,
	Admxrc3ClientContext* pClCtx,
  DfClientRequest* pReq,
  void* pBuffer,
  unsigned int inSize);

extern DfIoStatus
ioctlWriteVpdThunk(
	Admxrc3DeviceContext* pDevCtx,
	Admxrc3ClientContext* pClCtx,
  DfClientRequest* pReq,
  void* pBuffer,
  unsigned int inSize);

#endif
